메인 콘텐츠로 건너뛰기
POST
/
api
/
publicapi
/
v1
/
transactions
/
launch
새 트랜잭션을 생성하고 파일 처리를 시작합니다
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/launch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'Model={
  "files": [
    {
      "index": "<string>",
      "imageProcessingOptions": {
        "autoCrop": "Default",
        "autoOrientation": "Default"
      },
      "registrationParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "registrationParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "skillParameters": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ]
}' \
  --form 'Files=<string>' \
  --form Files.items='@example-file'
{
  "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

인증

Authorization
string
header
필수

The access token received from the authorization server in the OAuth 2.0 flow.

쿼리 매개변수

skillId
string

본문

multipart/form-data
Model
object

추가 트랜잭션 처리 매개변수입니다. TransactionLaunchMetadataDto 모델을 참조하십시오.

Files
file[]

multipart/* 콘텐츠로 전송된 파일을 수신하기 위한 모델

응답

트랜잭션이 성공적으로 생성되고 시작되었습니다.

transactionId
string<uuid>
필수